chiark / gitweb /
Add a test for dgit rpush.
authorIan Jackson <ijackson@chiark.greenend.org.uk>
Sun, 10 Aug 2014 20:31:56 +0000 (21:31 +0100)
committerIan Jackson <ijackson@chiark.greenend.org.uk>
Sun, 10 Aug 2014 20:31:56 +0000 (21:31 +0100)
debian/changelog
tests/tests/rpush [new file with mode: 0755]

index d89b41ee7ab0fd38e21454d921c1430e7c5f82c4..ecee9525b27d29b18b5e65b281b2e146b87cfd4a 100644 (file)
@@ -45,6 +45,7 @@ dgit (0.22~experimental1) experimental; urgency=low
   * Fixed a manpage typo.
   * When tests invoke dgit, use --dgit= so that subprocesses use our
     dgit rather than system one.
+  * Add a test for dgit rpush.
 
   Major new feature, currently stalled awaiting server infrastructure:
   * dgit-repos-server: New program for receiving signed-tag-based
diff --git a/tests/tests/rpush b/tests/tests/rpush
new file mode 100755 (executable)
index 0000000..c627788
--- /dev/null
@@ -0,0 +1,31 @@
+#!/bin/bash
+set -e
+. tests/lib
+
+t-archive pari-extra 3-1
+t-git pari-extra 3-1
+
+t-dgit clone $p
+
+cd $p
+t-cloned-fetched-good
+
+v=3-2~dummy1
+t-apply-diff 3-1 $v
+debcommit -a
+
+t-refs-same-start
+t-ref-head
+
+t-dgit --dpkg-buildpackage:-d build
+
+mkdir $tmp/empty
+cd $tmp/empty
+#t-dgit --ssh=$troot/ssh rpush somehost:$troot/$p
+#echo $?
+t-dgit --ssh=$troot/ssh rpush somehost:$tmp/$p
+
+cd $tmp/$p
+t-pushed-good dgit/sid
+
+echo ok.